Bug 859374 - systemd automounts from fstab getting stuck
systemd automounts from fstab getting stuck
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 06:58 EDT by Matt Davey
Modified: 2013-08-01 07:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:25:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fstab. Affected filesystems seem to be the cifs filesystems (1.52 KB, text/plain)
2012-09-21 06:58 EDT, Matt Davey
no flags Details
terminal output showing a manual mount unblocking stuck automount (2.22 KB, text/plain)
2012-09-21 07:09 EDT, Matt Davey
no flags Details

  None (edit)
Description Matt Davey 2012-09-21 06:58:53 EDT
Created attachment 615380 [details]
fstab.  Affected filesystems seem to be the cifs filesystems

Description of problem:
I have several cifs filesystems set to automount in fstab.
Since upgrading from fedora 15 to fedora 17 I now have to type in a password to mount them.  (That's an annoying change in behaviour I'd like to revert if possible, but not the focus of this bug.  I guess if I could avoid the password prompt it might avoid me running into this bug, though).  I find that the automount is unreliable.  Sometimes a filesystem doesn't get mounted and everything trying to access the filesystem gets stuck (uninterruptable wait).

Version-Release number of selected component (if applicable):
systemd-44-17.fc17.i686
libmount-2.21.2-2.fc17.x86_64
kernel-3.5.2-1.fc17.x86_64
anything else?

How reproducible:
Pretty easy, I think.

Steps to Reproduce:
1. reboot
2. fail to respond to one of the "systemd-tty-ask-password-agent" requests

  
Actual results:
whichever mount request didn't get a password response now seems to hang, and I don't get another password request.

Expected results:
automount.

Additional info:
I've discovered that if I manually mount the affected filesystem using "sudo mount -t cifs //server/share /tmp/tmpdir", then I get another password request and can unblock the chain.  See the attached terminal output.

I'm also attaching my fstab.
Comment 1 Matt Davey 2012-09-21 07:09:24 EDT
Created attachment 615390 [details]
terminal output showing a manual mount unblocking stuck automount

In the attached terminal output you can see me manually mount a filesystem and unblock automount.  Prior to this interaction, I had another terminal stuck trying to "ls /1/serv5/TrafficRepository" for over an hour.

What I think is happening is that after first logging in there's a queue of automount requests (scratch, TrafficRepository, Documents).  I failed to supply a password for the second mount (TrafficRepository).  This then caused something to get stuck.  After I manually mount TrafficRepository (on a different mount point) I suddenly get prompted for a password to mount "Documents".  When I later attempt to "ls" TrafficRepository, I get another password prompt, so all is working again.
Comment 2 Matt Davey 2012-12-04 09:07:52 EST
Hello?  Any comments?  This is still a regular occurrence for me, and it's become standard practice when I reboot that I "ls" all my automounts and when/if they get stuck I manually mount/unmount any cifs mount under /tmp and that unblocks autofs.
Comment 3 Fedora End Of Life 2013-07-03 23:35:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 07:25:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.